GTK+ Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# GtkArrow

## Name

GtkArrow -- produces an arrow pointing in one of the four cardinal directions.

## Synopsis

    #include <gtk/gtk.h>

    struct      GtkArrow;
    GtkWidget*  gtk_arrow_new                   (GtkArrowType arrow_type,
                                                 GtkShadowType shadow_type);
    void        gtk_arrow_set                   (GtkArrow *arrow,
                                                 GtkArrowType arrow_type,
                                                 GtkShadowType shadow_type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkMisc
                         +----GtkArrow

## Properties

      "arrow-type"           GtkArrowType         : Read / Write
      "shadow-type"          GtkShadowType        : Read / Write

## Description

GtkArrow should be used to draw simple arrows that need to point in one of the four cardinal directions (up, down, left, or right). The style of the arrow can be one of shadow in, shadow out, etched in, or etched out. Note that these directions and style types may be ammended in versions of Gtk to come.

GtkArrow will fill any space alloted to it, but since it is inherited from GtkMisc, it can be padded and/or aligned, to fill exactly the space the programmer desires.

Arrows are created with a call to gtk_arrow_new(). The direction or style of an arrow can be changed after creation by using gtk_arrow_set().

## Details

### struct GtkArrow

    struct GtkArrow;

The GtkArrow containes the following fields. (These fields should be considered read-only. They should never be set by an application.)

gint16 `arrow_type`; | the direction of the arrow, one of GtkArrowType.
gint16 `shadow_type`; | the style of the arrow, one of GtkShadowType.

### gtk_arrow_new ()

    GtkWidget*  gtk_arrow_new                   (GtkArrowType arrow_type,
                                                 GtkShadowType shadow_type);

Creates a new arrow widget.

`arrow_type` : | a valid GtkArrowType.
`shadow_type` : | a valid GtkShadowType.
Returns : | the new GtkArrow widget.

### gtk_arrow_set ()

    void        gtk_arrow_set                   (GtkArrow *arrow,
                                                 GtkArrowType arrow_type,
                                                 GtkShadowType shadow_type);

Sets the direction and style of the GtkArrow, `arrow`.

`arrow` : | a widget of type GtkArrow.
`arrow_type` : | a valid GtkArrowType.
`shadow_type` : | a valid GtkShadowType.

## Properties

"`arrow-type`" (GtkArrowType : Read / Write)

  The direction the arrow should point

"`shadow-type`" (GtkShadowType : Read / Write)

  Appearance of the shadow surrounding the arrow

## See Also

gtk_paint_arrow()

  the function used internally to paint the arrow.

<<< Previous Page | Home | Up | Next Page >>>
GtkAdjustment | GtkCalendar